OnlyFans API
OnlyFans

Get DRM Status

Returns whether DRM protection is enabled for media. DRM Protection helps to protect video content from being copied or downloaded. DRM Protection may limit the ability of fans using older devices to view this video content.

GET
/api/{account}/settings/drm
AuthorizationBearer <token>

Get your API Key from OnlyFansAPI Console - https://app.onlyfansapi.com/api-keys

In: header

Path Parameters

account*string

The Account ID

Response Body

application/json

curl -X GET "https://app.onlyfansapi.com/api/acct_XXXXXXXXXXXXXXX/settings/drm"
{
  "data": {
    "enabled": false
  },
  "_meta": {
    "_credits": {
      "used": 1,
      "balance": 999999969,
      "note": "Always"
    },
    "_cache": {
      "is_cached": false,
      "note": "Cache disabled for this endpoint"
    },
    "_rate_limits": {
      "limit_minute": 10000000,
      "limit_day": 50000,
      "remaining_minute": 9999998,
      "remaining_day": 49970
    }
  }
}